[SRU] microrelease update of src:php7.0 (7.0.18)

Bug #1686237 reported by Nish Aravamudan on 2017-04-25
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
php7.0 (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Nish Aravamudan
Yakkety
Undecided
Nish Aravamudan
Zesty
Undecided
Nish Aravamudan

Bug Description

There have been a number of microreleases of PHP 7.0 upstream since the last update to Xenial (which corresponded to the merge in Zesty). As we have re-merged again in Artful, it feels appropriate to provide another MRE update to php7.0. A number of critical security and bug-fixes are present in each 7.0.x. Rather than backporting individual patches (e.g., Bug # 1569509), I believe it makes significantly more sense to follow the upstream 7.0.x. Upstream PHP is demonstrating an improved approach of bugfixes only in 7.0.x:

 - 7.0.18: http://php.net/ChangeLog-7.php#7.0.18

The upstream CI is at: https://travis-ci.org/php/php-src and is run regularly.

Our php7.0 source package has autopkgtests for the 4 SAPIs, mod-php, cgi, fpm and cli. We have also updated the packing to run the source tests during the build itself.

I do not believe there is a firm statement from upstream on API/ABI stability, but the general approach seems to be a BC-break would result in 7.1.0.

Additionally for this SRU, there is (at least) one bug fixed upstream which will be fixed by updating to a newer upstream version: LP: #1674892.

Nish Aravamudan (nacc) wrote :

7.0.18-2ubuntu1 has landed in 17.10.

description: updated
Nish Aravamudan (nacc) on 2017-04-26
Changed in php7.0 (Ubuntu):
status: New → Fix Released
Nish Aravamudan (nacc) on 2017-04-27
Changed in php7.0 (Ubuntu Xenial):
status: New → In Progress
Changed in php7.0 (Ubuntu Yakkety):
status: New → In Progress
Changed in php7.0 (Ubuntu Zesty):
status: New → In Progress
Changed in php7.0 (Ubuntu Xenial):
assignee: nobody → Nish Aravamudan (nacc)
Changed in php7.0 (Ubuntu Yakkety):
assignee: nobody → Nish Aravamudan (nacc)
Changed in php7.0 (Ubuntu Zesty):
assignee: nobody → Nish Aravamudan (nacc)

Hello Nish, or anyone else affected,

Accepted php7.0 into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/php7.0/7.0.18-0ubuntu0.17.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

summary: - [SRU] microrelease exception for src:php7.0 (7.0.18)
+ [SRU] microrelease update of src:php7.0 (7.0.18)
Changed in php7.0 (Ubuntu Zesty):
status: In Progress → Fix Committed
tags: added: verification-needed
Brian Murray (brian-murray) wrote :

Hello Nish, or anyone else affected,

Accepted php7.0 into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/php7.0/7.0.18-0ubuntu0.16.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in php7.0 (Ubuntu Yakkety):
status: In Progress → Fix Committed
Nish Aravamudan (nacc) wrote :

Tested, as per usual, by installing php in a LXD 17.04 and 16.10 container and then upgrading to the versions in -proposed. Everything went smoothly:

16.10:

# apt policy php7.0
php7.0:
  Installed: 7.0.18-0ubuntu0.16.10.1
  Candidate: 7.0.18-0ubuntu0.16.10.1
  Version table:
 *** 7.0.18-0ubuntu0.16.10.1 500
        500 http://archive.ubuntu.com/ubuntu yakkety-proposed/main amd64 Packages
        100 /var/lib/dpkg/status
     7.0.15-0ubuntu0.16.10.4 500
        500 http://archive.ubuntu.com/ubuntu yakkety-updates/main amd64 Packages
        500 http://security.ubuntu.com/ubuntu yakkety-security/main amd64 Packages
     7.0.8-3ubuntu3 500
        500 http://archive.ubuntu.com/ubuntu yakkety/main amd64 Packages

17.04:

# apt policy php7.0
php7.0:
  Installed: 7.0.18-0ubuntu0.17.04.1
  Candidate: 7.0.18-0ubuntu0.17.04.1
  Version table:
 *** 7.0.18-0ubuntu0.17.04.1 500
        500 http://archive.ubuntu.com/ubuntu zesty-proposed/main amd64 Packages
        100 /var/lib/dpkg/status
     7.0.15-1ubuntu4 500
        500 http://archive.ubuntu.com/ubuntu zesty/main amd64 Packages

Marking v-d.

tags: added: verification-done-yakkety verification-done-zesty
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package php7.0 - 7.0.18-0ubuntu0.17.04.1

---------------
php7.0 (7.0.18-0ubuntu0.17.04.1) zesty; urgency=medium

  * New upstream release 7.0.18
    - LP: #1686237
    - LP: #1674892
    - Refresh patches for new upstream release
  * Drop:
    - debian/patches/0050-Fix-pdo_pgsql.patch: Fixed #73959 - lastInsertId
      fails to throw an exception in pdsql. Thanks to andrewnester
      <email address hidden>. Closes LP #1658289.
      [ Fixed upstream in 7.0.16 ]
    - SECURITY REGRESSION: large mysql requests broken (LP #1668017)
      + debian/patches/fix_74021.patch: fix fetch_array with more than
        MEDIUMBLOB in ext/mysqlnd/mysqlnd_wireprotocol.c, added tests to
        ext/mysqli/tests/bug73800.phpt, ext/mysqli/tests/bug74021.phpt.
      [ Fixed upstream in 7.0.17 ]

 -- Nishanth Aravamudan <email address hidden> Wed, 26 Apr 2017 16:59:48 -0700

Changed in php7.0 (Ubuntu Zesty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for php7.0 has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Hello Nish, or anyone else affected,

Accepted php7.0 into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/php7.0/7.0.18-0ubuntu0.16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in php7.0 (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed
Nish Aravamudan (nacc) wrote :

Tested, as per usual, by installing php in a LXD 16.04 container and then upgrading to the versions in -proposed. Everything went smoothly:

# apt policy php7.0
php7.0:
  Installed: 7.0.18-0ubuntu0.16.04.1
  Candidate: 7.0.18-0ubuntu0.16.04.1
  Version table:
 *** 7.0.18-0ubuntu0.16.04.1 500
        500 http://archive.ubuntu.com/ubuntu xenial-proposed/main amd64 Packages
        100 /var/lib/dpkg/status
     7.0.15-0ubuntu0.16.04.4 500
        500 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 Packages
        500 http://security.ubuntu.com/ubuntu xenial-security/main amd64 Packages
     7.0.4-7ubuntu2 500
        500 http://archive.ubuntu.com/ubuntu xenial/main amd64 Packages

Marking as verification-done.

tags: added: verification-done-xenial
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package php7.0 - 7.0.18-0ubuntu0.16.10.1

---------------
php7.0 (7.0.18-0ubuntu0.16.10.1) yakkety; urgency=medium

  * New upstream release 7.0.18
    - LP: #1686237
    - LP: #1674892
    - Refresh patches for new upstream release
  * Drop:
    - debian/patches/0048-Fix-pdo_pgsql.patch: Fixed #73959 - lastInsertId
      fails to throw an exception in pdsql. Thanks to andrewnester
      <email address hidden>. Closes LP #1658289.
      [ Fixed upstream in 7.0.16 ]
    - SECURITY REGRESSION: large mysql requests broken (LP #1668017)
      + debian/patches/fix_74021.patch: fix fetch_array with more than
        MEDIUMBLOB in ext/mysqlnd/mysqlnd_wireprotocol.c, added tests to
        ext/mysqli/tests/bug73800.phpt, ext/mysqli/tests/bug74021.phpt.
      [ Fixed upstream in 7.0.17 ]

 -- Nishanth Aravamudan <email address hidden> Wed, 26 Apr 2017 16:55:19 -0700

Changed in php7.0 (Ubuntu Yakkety):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package php7.0 - 7.0.18-0ubuntu0.16.04.1

---------------
php7.0 (7.0.18-0ubuntu0.16.04.1) xenial; urgency=medium

  * New upstream release 7.0.18
    - LP: #1686237
    - LP: #1674892
    - Refresh patches for new upstream release
  * Drop:
    - debian/patches/0053-Fix-pdo_pgsql.patch: Fixed #73959 - lastInsertId
      fails to throw an exception in pdsql. Thanks to andrewnester
      <email address hidden>. Closes LP #1658289.
      [ Fixed upstream in 7.0.16, prior changelog referred to wrong
        patchfile ]
    - SECURITY REGRESSION: large mysql requests broken (LP #1668017)
      + debian/patches/fix_74021.patch: fix fetch_array with more than
        MEDIUMBLOB in ext/mysqlnd/mysqlnd_wireprotocol.c, added tests to
        ext/mysqli/tests/bug73800.phpt, ext/mysqli/tests/bug74021.phpt.
      [ Fixed upstream in 7.0.17 ]
  * d/control{,.in}: Backport "libapache2-mod-phpX.Y now recommends
    apache2 package (as this is what most people want anyway)" from
    Debian 8.0.7-3 (LP: #1689646).

 -- Nishanth Aravamudan <email address hidden> Wed, 10 May 2017 09:19:03 -0700

Changed in php7.0 (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers